using System;
using System.IO;
using System.Xml;
using System.Xml.Linq;
using System.Xml.XPath;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        // Wczytaj dokument
        string booksFile = Server.MapPath("books.xml");
        XDocument document = XDocument.Load(booksFile);

        // Dodaj prefiks przestrzeni nazw, aby mógł być wykorzystany w wyrażeniu XPath.   
        // Warto zwrócić uwagę na obiekt NameTable. Może on być nowy lub pochodzić z dowolnego źródła.		
        XmlNamespaceManager namespaceMgr = new XmlNamespaceManager(new NameTable());
        namespaceMgr.AddNamespace("b", "http://example.books.com");

        var nodes = document.XPathSelectElements("//b:book[not(b:price[. > 10.00])]/b:price",namespaceMgr);

        // Wszystkie książki, których cena nie jest większa niż 10.00
        foreach (var node in nodes)
        {
            Response.Write(node.Value + "<BR/>");
        }
    }
}
